{% block swag_guided_shopping_appointment_detail %}
    <sw-page class="swag-guided-shopping-appointment-detail">
    {# debug #}
        {% block swag_guided_shopping_appointment_header %}
            <template #smart-bar-header>
                <h2 v-if="appointment">{{ placeholder(appointment, 'name') }}</h2>
                <h2 v-else>{{ $tc('swag-guided-shopping-appointment.general.headlineAppointments') }}</h2>
            </template>
        {% endblock %}

        <template #language-switch>
            <sw-language-switch
                :disabled="!appointmentId"
                @on-change="onChangeLanguage"
            >
            </sw-language-switch>
        </template>

        {% block swag_guided_shopping_appointment_actions %}
            <template #smart-bar-actions>
                <sw-button :routerLink="{ name: 'swag.guided.shopping.appointment.index' }">
                    {{ $tc('swag-guided-shopping-appointment.admin.buttons.cancel') }}
                </sw-button>
                <sw-button-group
                    v-if="appointmentForm"
                    class="sw-product-detail__save-button-group"
                    :split-button="true"
                >
                    {% block sw_product_detail_actions_save %}
                        <sw-button-process
                            :isLoading="isLoading"
                            :processSuccess="isSaveSuccessful"
                            :disabled="!acl.can('guided_shopping_appointment.editor') || !appointmentForm.isDirty"
                            variant="primary"
                            @update:processSuccess="saveFinish"
                            {% else %}
                            @process-finish="saveFinish"
                            {% endif %}
                            @click="onSave(appointmentForm.canSendMail)"
                        >
                            {{ appointmentForm.canSendMail ? $tc('swag-guided-shopping-presentation.detailAppointments.buttonSend') : $tc('swag-guided-shopping-presentation.detailAppointments.buttonApply') }}
                        </sw-button-process>
                    {% endblock %}

                    {% block sw_product_detail_actions_save_without_send %}
                        <sw-context-button v-if="appointmentForm.canSendMail">
                            <template #button>
                                <sw-button class="sw-product-detail__button-context-menu" square variant="primary">
                                    <sw-icon name="regular-chevron-down-xs" size="16" />
                                </sw-button>
                            </template>

                            {% block sw_product_detail_actions_save_without_send_button %}
                                <sw-context-menu-item
                                    class="sw-product-detail__save-duplicate-action"
                                    @click="onSave(false)"
                                >
                                    {{ $tc('swag-guided-shopping-presentation.detailAppointments.buttonApplyWithoutSend') }}
                                </sw-context-menu-item>
                            {% endblock %}
                        </sw-context-button>
                    {% endblock %}
                </sw-button-group>
            </template>
        {% endblock %}

        {% block swag_guided_shopping_appointment_search_bar %}
            <template #search-bar>
                <sw-search-bar
                        initialSearchType="guided_shopping_appointment"
                        :initialSearch="term"
                        typeSearchAlwaysInContainer
                        ref="searchBar"
                        @search="onSearch">
                </sw-search-bar>
            </template>
        {% endblock %}


        {% block swag_guided_shopping_appointment_content %}
            <template #content>

                {% block swag_guided_shopping_appointment_content %}
                    <sw-card-view class="swag-guided-shopping-appointment-view">

                        {% block swag_guided_shopping_appointment_view_language_info %}
                            <sw-language-info
                                :entity-description="placeholder(appointment, 'name', $tc('swag-guided-shopping-appointment.detail.textHeadline'))"
                                :is-new-entity="!appointmentId"
                            >
                            </sw-language-info>
                        {% endblock %}

                        {% block swag_guided_shopping_appointment_view_content %}
                            <router-view :isLoading="isLoading"></router-view>
                        {% endblock %}
                    </sw-card-view>

                {% endblock %}

                {% block swag_guided_shopping_appointment_content_loader %}
                    <sw-loader v-if="isLoading"
                               class="swag-guided-shopping-appointment-detail__content-loader"></sw-loader>
                {% endblock %}

                {% block swag_guided_shopping_appointment_send_appointment_modal %}
                    <swag-guided-shopping-appointment-send-appointment-modal
                        v-if="showSendAppointmentModal"
                        @closeModal="onCloseSendAppointmentModal"
                        @confirmSend="onSendMailToAttendees"
                    >
                    </swag-guided-shopping-appointment-send-appointment-modal>
                {% endblock %}
            </template>
        {% endblock %}
    </sw-page>
{% endblock %}
